Package org.eclipse.net4j.util.concurrent

# Class Worker.WorkContext

java.lang.Object
org.eclipse.net4j.util.concurrent.Worker.WorkContext

Enclosing class:
  Worker

public class Worker.WorkContext extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`WorkContext()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
`void`
`nextWork()`
`void`
`nextWork(long pauseMillis)`
`void`
`terminate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkContext

public WorkContext()

## Method Details

### getCount

public long getCount()

### nextWork

public void nextWork()

### nextWork

public void nextWork(long pauseMillis)

### terminate

public void terminate()